Page MenuHomePhabricator

Bookreader: Allow Translating the tool / add internationalization
Closed, ResolvedPublic

Description

Provide option to translate the Bookreader tool in other languages.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 30 2019, 4:21 PM
Aklapper renamed this task from Bookreader:Translate the tool to Bookreader: Allow Translating the tool / add internationalization.Dec 30 2019, 7:33 PM
Aklapper added a project: I18n.
Jayprakash12345 triaged this task as Low priority.Jan 11 2020, 9:22 AM

Change 582565 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[labs/tools/bookreader@master] Add i18n support

https://gerrit.wikimedia.org/r/582565

Change 582565 merged by jenkins-bot:
[labs/tools/bookreader@master] Add i18n support

https://gerrit.wikimedia.org/r/582565

Change 582570 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[translatewiki@master] Add labs/tools/bookreader in repoconfig.yaml

https://gerrit.wikimedia.org/r/582570

Access and config for l10n-bot?

Change 582590 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[integration/config@master] Setup gate-and-submit-l10n for labs/tools/bookreader

https://gerrit.wikimedia.org/r/582590

Change 582590 merged by jenkins-bot:
[integration/config@master] Setup gate-and-submit-l10n for labs/tools/bookreader

https://gerrit.wikimedia.org/r/582590

Mentioned in SAL (#wikimedia-releng) [2020-03-23T15:38:26Z] <James_F> Zuul: [labs/tools/bookreader] Add l10n bot pipeline T241595

CI config done. You'll need to adjust repo rights as well, I think.

Change 582570 merged by jenkins-bot:
[translatewiki@master] Add labs/tools/bookreader in repoconfig.yaml

https://gerrit.wikimedia.org/r/582570

abi_ added a subscriber: abi_.Mar 26 2020, 5:29 AM

The changes are merged and deployed on translatewiki.net. The project can be translated here.

Translations will be exported today, so lets wait and see if that works well before we close this task.

Jayprakash12345 closed this task as Resolved.Mar 28 2020, 11:21 PM

@abi_ Done https://gerrit.wikimedia.org/r/#/c/labs/tools/bookreader/+/583625/

Just curious to know, How often L10n-bot updates the translation?

Two times in a week.